package com.mortals.xhx.modules.supplement.web;

import com.alibaba.excel.EasyExcel;
import com.mortals.xhx.common.pdu.ApiRespPdu;
import com.mortals.xhx.modules.information.service.InformationService;
import com.mortals.xhx.modules.supplement.dao.SupplementDao;
import com.mortals.xhx.modules.supplement.model.SupplementEntity;
import com.mortals.xhx.modules.supplement.listener.*;
import com.mortals.xhx.modules.supplement.service.SupplementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import org.springframework.web.multipart.MultipartFile;



/**
* <p>Title: 办件补录表</p>
* <p>Description: SupplementController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author zxfei
* @version 1.0.0
*/
@RestController
@RequestMapping("supplement")
public class SupplementController extends BaseCRUDJsonMappingController<SupplementService,SupplementForm, SupplementEntity,Long> {

    @Autowired
    private SupplementDao supplementDao;

    @Autowired
    private InformationService informationService;

    @Value("${egov.applyAndAcceptNode-url}")
    private String url;

    /**
     * 导入办件信息，一阶段通过excel表格导入
     */
    @PostMapping(value="importOfficeInformation")
    public ApiRespPdu importOfficeInformation(@RequestPart("file") MultipartFile file) throws Exception{
        ApiRespPdu<Object> objectApiRespPdu = new ApiRespPdu<>();
        try{
            EasyExcel.read(file.getInputStream(), SupplementEntity.class, new InformationDataConversionListener(supplementDao))
                    .sheet(0)
                    .headRowNumber(3)
                    .doRead();
            objectApiRespPdu.setCode(200);
            objectApiRespPdu.setMsg("数据上传成功");
            return objectApiRespPdu;
        }catch(Exception e){
            e.printStackTrace();
            objectApiRespPdu.setCode(500);
            objectApiRespPdu.setMsg("数据上传失败，失败原因:"+e.getMessage());
            return objectApiRespPdu;
        }
    }



    public SupplementController(){
        super.setFormClass(SupplementForm.class);
        super.setModuleDesc("办件补录表");
    }

}